# IRdNtClientsList Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | AddClient ([in] IRdNtClientInfo *pRdNtClientInfo)
HRESULT | RemoveClient ([in] RtCSNID csnidClient)
HRESULT | GetClientInfo ([in] RtCSNID csnidClient,[out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetNumClients ([out, retval] RtDWORD *pdwNumClients)
HRESULT | GetClientInfoByIndex ([in] RtDWORD dwIndex,[out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetClientInfoByName ([in] BSTR bszName,[out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetFirstClient ([out, retval] IRdNtClientInfo **ppRdNtClientInfo)
HRESULT | GetNextClient ([out, retval] IRdNtClientInfo **ppRdNtClientInfo)
## Properties
BSTR * | ServerName`[get]`
BSTR | ServerName`[set]`

## Detailed Description

Object holds information about all logged clients.
It is automatically generated by client object and stored in LoggedIn connector.
You can find the object in /Network space after you enter into a Shared Space.
For more info look at IRiNetwork::NtConnectTo.
See IRdNtClientsListDisp for script access version of this interface.

## Member Function Documentation

HRESULT IRdNtClientsList::Clear | ( | void |  | ) |

Call to erase all records.

HRESULT IRdNtClientsList::AddClient | ( | [in] IRdNtClientInfo * | pRdNtClientInfo | ) |

Add client to list. If it already exists, the old one will be replaced.

Parameters:

  | pRdNtClientInfo | [in] Client's info data object. See IRdNtClientInfo.

HRESULT IRdNtClientsList::RemoveClient | ( | [in] RtCSNID | csnidClient | ) |

Remove client's info by client session ID.

Parameters:

  | csnidClient | [in] Client's session identification.

HRESULT IRdNtClientsList::GetClientInfo | ( | [in] RtCSNID | csnidClient,
|  | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo |
| ) |  |  |

Find client's info by client session ID.

Parameters:

  | csnidClient | [in] Client's session identification.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfo.

HRESULT IRdNtClientsList::GetNumClients | ( | [out, retval] RtDWORD * | pdwNumClients | ) |

Retrieve number of records.

Returns:
  pdwNumClients [out, retval] Returns number of records.

HRESULT IRdNtClientsList::GetClientInfoByIndex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo |
| ) |  |  |

Get client's info by index.

Parameters:

  | dwIndex | [in] Record index.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfo.

See IRdNtClientsListDisp::GetClientInfoByName for example.

See also:
  GetFirstClient

HRESULT IRdNtClientsList::GetClientInfoByName | ( | [in] BSTR | bszName,
|  | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo |
| ) |  |  |

Get client's info by name.

Parameters:

  | bszName | [in] Client name.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfo.

HRESULT IRdNtClientsList::GetFirstClient | ( | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo | ) |

Get first list's record.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfo.

See IRdNtClientsListDisp::GetFirstClient for example

See also:
  GetClientInfoByIndex

HRESULT IRdNtClientsList::GetNextClient | ( | [out, retval] IRdNtClientInfo ** | ppRdNtClientInfo | ) |

Get list's next record.

Returns:
  ppRdNtClientInfo [out, retval] If successful, then returns client's info. See IRdNtClientInfo.

See also:
  GetFirstClient

  GetClientInfoByIndex

## Property Documentation

BSTR * IRdNtClientsList::ServerName`[get]`

Use this property to read server's name.

Returns:
  pbstrName [out, retval] Returns server's name.

BSTR IRdNtClientsList::ServerName`[set]`

Use this property to set server's name.

Parameters:

  | bstrName | [in] Server's name.